Module | EventMachine::Protocols::Stomp
In: | lib/protocols/stomp.rb

Implements Stomp (docs.codehaus.org/display/STOMP/Protocol).

## Usage example

      class StompClient < EM::Connection
        include EM::Protocols::Stomp

        def connection_completed
          connect :login => 'guest', :passcode => 'guest'
        end

        def receive_msg msg
          if msg.command == "CONNECTED"
            subscribe '/some/topic'
          else
            p ['got a message', msg]
            puts msg.body
          end
        end
      end

      EM.run{
        EM.connect 'localhost', 61613, StompClient
      }

### Methods

ack connect init_message_reader receive_binary_data receive_line send send_frame subscribe

### Included Modules

LineText2

### Classes and Modules

Class EventMachine::Protocols::Stomp::Message

### Public Instance methods

ack(msgid)
connect(parms={})

STOMP verbs

init_message_reader()
receive_binary_data(data)
receive_line(line)
send(destination, body, parms={})
send_frame(verb, headers={})
subscribe(dest, ack=false)

[Validate]